Subject: bug#9087: Crash reading from minibuffer with icomplete-mode

From: Stefan Monnier <[email-masked]>
Date: Sun, 08 Jan 2012 09:01:28 -0500

>> It's largely an implementation detail of while-no-input, used for
>> non-essential background computations (e.g. icomplete).
> Is it (and while-no-input) supposed to stop prolonged Lisp
> calculations without delay?

Yes, it is supposed to be similar to a C-g, tho a bit less urgent.

> If so, how exactly does that work on X, where (AFAIK) keyboard input
> is not interrupt-driven?

AFAIK it is interrupt driven (and with SYNC_INPUT the interrupt just
sets a flag which is then checked in QUIT).

        Stefan